Bug #78677

EM fails to install 4th level dependency of extensions

Added by Markus Klein over 4 years ago. Updated almost 3 years ago.

Status:
Closed
Priority:
Must have
Assignee:
Category:
Extension Manager
Target version:
Start date:
2016-11-13
Due date:
% Done:

100%

Estimated time:
TYPO3 Version:
7
PHP Version:
Tags:
Complexity:
medium
Is Regression:
No
Sprint Focus:

Description

In my usecase a 4th level dependency of an extension does not meet the current TYPO3 version requirement, so a dialog is displayed allowing to skip this check.
Doing so still fail to install the extension chain, as the ext on the 4th level is never installed.

This related to #78666, where the test extensions can be found.


Related issues

Related to TYPO3 Core - Bug #78666: Dependencies from a local extension are not resolvedClosedNicole Cordes2016-11-12

Actions
#1

Updated by Gerrit Code Review over 4 years ago

  • Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/50630

#2

Updated by Gerrit Code Review over 4 years ago

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/50630

#3

Updated by Nicole Cordes over 4 years ago

To be more verbose on this error:

The problem is a local but incompatible version of typoscript_rendering. EXT:dummy3 requires version 1.0.0-1.99.99 but extension is available in 2.0.5

#4

Updated by Markus Klein over 4 years ago

  • Description updated (diff)
#5

Updated by Gerrit Code Review over 4 years ago

Patch set 1 for branch TYPO3_7-6 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/50873

#6

Updated by Nicole Cordes over 4 years ago

  • Status changed from Under Review to Resolved
  • % Done changed from 0 to 100
#7

Updated by Benni Mack almost 3 years ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF